Skip to content
Teku is under heavy development. If something isn't working as documented, check the changelog or get in touch on our Teku Discord channel. There may be updates that haven't yet made it to the documentation.

Updated on August 31, 2020

Install binary distribution

Linux / Unix / MacOS / Windows

Prerequisites

Attention

Teku requires Java 11+ to compile; earlier versions are not supported.

Install from packaged binaries

Download the Teku packaged binaries.

Unpack the downloaded files and change into the teku-<release> directory.

Display Teku command line help to confirm installation:

./bin/teku --help
bin\teku --help
ConsenSys has acquired Quorum from J.P. Morgan. Please read the FAQ.
Questions or feedback? You can discuss issues and obtain free support on Teku Discord channel.
For paid professional support by Pegasys, contact us at support@pegasys.tech